from typing import Dict, List

VALID_FONTS: List[str] = ["sans serif", "serif", "monospace"]

THEMES: Dict[str, Dict[str, str]] = {
    'Beach': {
        'background_color': '#f1f0e8',
        'primary_color': '#3282B8',
        'secondary_background_color': '#eee0c9',
        'text_color': '#45474b',
        'font': 'sans serif'
    },
    'Pineapple': {
        'background_color': '#f4ce14',
        'primary_color': '#495e57',
        'secondary_background_color': '#f5f7f8',
        'text_color': '#45474b',
        'font': 'monospace'
    },
    'Peachy': {
        'background_color': '#ffeecc',
        'primary_color': '#F38181',
        'secondary_background_color': '#ffddcc',
        'text_color': '#B83B5E',
        'font': 'sans serif'
    },
    'Tropical': {
        'background_color': '#faf1e4',
        'primary_color': '#9eb384',
        'secondary_background_color': '#cedebd',
        'text_color': '#435334',
        'font': 'sans serif'
    },
    'Mater': {
        'background_color': '#eac696',
        'primary_color': '#765827',
        'secondary_background_color': '#c8ae7d',
        'text_color': '#65451f',
        'font': 'sans serif'
    },
    'Gastly': {
        'background_color': '#f3eeea',
        'primary_color': '#b0a695',
        'secondary_background_color': '#ebe3d5',
        'text_color': '#776b5d',
        'font': 'sans serif'
    },
    'Ocean': {
        'background_color': '#f6f4eb',
        'primary_color': '#749bc2',
        'secondary_background_color': '#91c8e4',
        'text_color': '#4682a9',
        'font': 'sans serif'
    },
    'Abyssal': {
        'background_color': '#93b1a6',
        'primary_color': '#183d3d',
        'secondary_background_color': '#5c8374',
        'text_color': '#040d12',
        'font': 'sans serif'
    },
    'Green': {
        'background_color': '#d0e7d2',
        'primary_color': '#79ac78',
        'secondary_background_color': '#b0d9b1',
        'text_color': '#618264',
        'font': 'sans serif'
    },
    'Sandy': {
        'background_color': '#fff2d8',
        'primary_color': '#bca37f',
        'secondary_background_color': '#ead7bb',
        'text_color': '#113946',
        'font': 'sans serif'
    },
    'Sunset': {
        'background_color': '#f2ecbe',
        'primary_color': '#c08261',
        'secondary_background_color': '#e2c799',
        'text_color': '#9a3b3b',
        'font': 'sans serif'
    },
    'Midnight': {
        'background_color': '#EEEEEE',
        'primary_color': '#393E46',
        'secondary_background_color': '#00ADB5',
        'text_color': '#222831',
        'font': 'sans serif'
    }
}

